'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _HelpReducer = require('../utils/HelpReducer');

var _HelpStyles = require('./HelpStyles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var HelpPopup = function (_Component) {
	_inherits(HelpPopup, _Component);

	function HelpPopup() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, HelpPopup);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = HelpPopup.__proto__ || Object.getPrototypeOf(HelpPopup)).call.apply(_ref, [this].concat(args))), _this), _this.componentWillUpdate = function (nextProps, nextState) {
			// if (nextProps.openHelp === true)
			// document.addEventListener('click', this.onClickOutsise, false)
			// else
			// document.removeEventListener('click', this.onClickOutsise, false)
		}, _this.componentWillUnmount = function () {
			// document.removeEventListener('click', this.onClickOutsise, false)
		}, _this.onClickOutsise = function (e) {
			e.stopPropagation();
			// console.log('Clicked Outside')
			// console.log(e.target)
			if (_this.props.openHelp) {
				if (_this.node) {
					if (!_this.node.contains(e.target)) {
						// this.setState({ openHelp: false })
						_this.props.handleHelp();
						document.removeEventListener('click', _this.onClickOutsise, false);
					}
				}
			}
		}, _this.setHelpPopUpRef = function (node) {
			_this.node = node;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(HelpPopup, [{
		key: 'render',
		value: function render() {
			var helpID = (0, _HelpReducer.GetHelpID)();
			return this.props.openHelp ? _react2.default.createElement(
				_HelpStyles.HelpPopUp,
				{ innerRef: this.setHelpPopUpRef },
				_react2.default.createElement(
					'h1',
					null,
					helpID
				),
				_react2.default.createElement(
					'p',
					null,
					'Description'
				)
			) : null;
		}
	}]);

	return HelpPopup;
}(_react.Component);

exports.default = HelpPopup;