'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Link = exports.MenuContainer = exports.MenuText = exports.ArrowIconDiv = exports.IconDiv = exports.MenuFooter = exports.MenuHeader = exports.DefaultHeader = exports.MenuDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tgrid-area:menupanel;\n\tbackground-color: ', ';\n\tdisplay:flex;\n\tflex-flow:column wrap;\n\tmax-width: ', ';\n\ttransition: max-width 300ms ease;\n\n\t/*IE11 Support*/\n\t-ms-grid-column: ', ';\n\t-ms-grid-row: ', ';\n\t-ms-grid-column-span: ', ';\n\t-ms-grid-row-span: ', ';\n'], ['\n\tgrid-area:menupanel;\n\tbackground-color: ', ';\n\tdisplay:flex;\n\tflex-flow:column wrap;\n\tmax-width: ', ';\n\ttransition: max-width 300ms ease;\n\n\t/*IE11 Support*/\n\t-ms-grid-column: ', ';\n\t-ms-grid-row: ', ';\n\t-ms-grid-column-span: ', ';\n\t-ms-grid-row-span: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\talign-items: center;\n\tborder-bottom: ', ';\n\theight: 40px;\n\twidth: 100%;\n'], ['\n\tdisplay: flex;\n\talign-items: center;\n\tborder-bottom: ', ';\n\theight: 40px;\n\twidth: 100%;\n']),
    _templateObject3 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n']),
    _templateObject4 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n\tmargin-bottom: auto; \n'], ['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\talign-items: center;\n\tjustify-content: center;\n\tmargin-bottom: auto; \n']),
    _templateObject5 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\tmargin-top:auto;\n'], ['\n\tdisplay: flex;\n\tflex-flow:column;\n\theight: auto;\n\tmargin-top:auto;\n']),
    _templateObject6 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\twidth: 50; \n\theight: 50px;\n\tmin-width: 50px;\n\talign-items: center;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\twidth: 50; \n\theight: 50px;\n\tmin-width: 50px;\n\talign-items: center;\n\tjustify-content: center;\n']),
    _templateObject7 = _taggedTemplateLiteral(['\n\tdisplay: flex;\n\talign-self: right;\n\tjustify-content: center;\n'], ['\n\tdisplay: flex;\n\talign-self: right;\n\tjustify-content: center;\n']),
    _templateObject8 = _taggedTemplateLiteral(['\n\tfont-size: ', ';\n\twidth: 100%;\n'], ['\n\tfont-size: ', ';\n\twidth: 100%;\n']),
    _templateObject9 = _taggedTemplateLiteral(['\n\tdisplay:flex;\n\tflex-flow: ', ';\n\tflex:1;\n\toverflow-y: hidden;\n'], ['\n\tdisplay:flex;\n\tflex-flow: ', ';\n\tflex:1;\n\toverflow-y: hidden;\n']),
    _templateObject10 = _taggedTemplateLiteral(['\n\tborder-bottom: ', ';\n\tborder-top: ', ';\n\tmargin: -1px 0 0 -1px;\n\ttext-decoration: none;\n\toutline: 0;\n\tcolor: ', ';\n\twidth: 250px;\n\theight: 50px;\n\tfont-weight: 300;\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground: ', ';\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: ', ';\n\t}\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n'], ['\n\tborder-bottom: ', ';\n\tborder-top: ', ';\n\tmargin: -1px 0 0 -1px;\n\ttext-decoration: none;\n\toutline: 0;\n\tcolor: ', ';\n\twidth: 250px;\n\theight: 50px;\n\tfont-weight: 300;\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: space-between;\n\tbackground: ', ';\n\t&:hover{\n\t\tbackground: ', ';\n\t\tcolor: ', ';\n\t}\n\t-webkit-transition: all 100ms ease-in-out;\n\t-moz-transition: all 100ms ease-in-out;\n\ttransition: all 100ms ease-in-out;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

var _Functions = require('../utils/Functions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MenuDiv = exports.MenuDiv = _styledComponents2.default.div(_templateObject, function (props) {
	return props.theme.menu.background;
}, function (props) {
	return props.achordeon ? '250px;' : '50px';
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'menupanel', 'column');
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'menupanel', 'row');
}, function (p) {
	var x = (0, _Functions.spanCalc)(p.theme.app.gridArea, 'menupanel', 'column');return x > 1 ? x : 'none';
}, function (p) {
	var y = (0, _Functions.spanRowCalc)(p.theme.app.gridArea, 'menupanel');return y > 1 ? y : 'none';
});

var BaseItem = _styledComponents2.default.div(_templateObject2, function (props) {
	return props.theme.menu.bottomBorder;
});

var DefaultHeader = exports.DefaultHeader = BaseItem.extend(_templateObject3);

var MenuHeader = exports.MenuHeader = BaseItem.extend(_templateObject4);

var MenuFooter = exports.MenuFooter = BaseItem.extend(_templateObject5);

var IconDiv = exports.IconDiv = _styledComponents2.default.div(_templateObject6);

var ArrowIconDiv = exports.ArrowIconDiv = IconDiv.extend(_templateObject7);

var MenuText = exports.MenuText = _styledComponents2.default.div(_templateObject8, function (p) {
	return p.theme.menu.fontSize ? p.theme.menu.fontSize : 'inherit';
});

var MenuContainer = exports.MenuContainer = _styledComponents2.default.div(_templateObject9, function (props) {
	return props.quicknav ? 'column nowrap' : 'row nowrap';
});

var Link = exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink)(_templateObject10, function (props) {
	return props.theme.menu.border;
}, function (props) {
	return props.theme.menu.border;
}, function (props) {
	return props.theme.menu.color;
}, function (props) {
	return props.activemenu === 'true' ? props.theme.menu.selected : props.theme.menu.unselected;
}, function (props) {
	return props.theme.menu.hover;
}, function (p) {
	return p.theme.menu.textHover ? p.theme.menu.textHover : 'inherit';
});