'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _QuickNavigationStyles = require('./QuickNavigationStyles');

var _odeumUi = require('odeum-ui');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HeaderButton = function HeaderButton(_ref) {
	var icon = _ref.icon,
	    onClick = _ref.onClick;

	return _react2.default.createElement(
		_QuickNavigationStyles.RoundButton,
		{ onClick: onClick },
		_react2.default.createElement(_odeumUi.Icon, { icon: icon, iconSize: 30, color: 'inherit' })
	);
};

exports.default = HeaderButton;