'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.AppDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tdisplay: grid;\n\tgrid-template-areas: ', ';\n\tgrid-template-columns: ', ';\n\tgrid-template-rows: ', ';\n\theight: ', ';\n\twidth:  ', ';\n\tbackground-color: ', ';\t\n\n\t/*IE Support */\n\tdisplay: -ms-grid;\n\t-ms-grid-columns: ', ';\n\t-ms-grid-rows: ', ';\t\n'], ['\n\tdisplay: grid;\n\tgrid-template-areas: ', ';\n\tgrid-template-columns: ', ';\n\tgrid-template-rows: ', ';\n\theight: ', ';\n\twidth:  ', ';\n\tbackground-color: ', ';\t\n\n\t/*IE Support */\n\tdisplay: -ms-grid;\n\t-ms-grid-columns: ', ';\n\t-ms-grid-rows: ', ';\t\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var defaultArea = '"header header" "menupanel workspace" "footer footer"';

var AppDiv = exports.AppDiv = _styledComponents2.default.div(_templateObject, function (_ref) {
	var theme = _ref.theme;
	return theme.app ? theme.app.gridArea ? theme.app.gridArea : defaultArea : defaultArea;
}, function (_ref2) {
	var theme = _ref2.theme;
	return theme.app ? theme.app.gridTemplateColumns ? theme.app.gridTemplateColumns : "max-content 1fr" : "max-content 1fr";
}, function (_ref3) {
	var theme = _ref3.theme;
	return theme.app ? theme.app.gridTemplateRows ? theme.app.gridTemplateRows : 'auto 1fr auto' : 'auto 1fr auto';
}, function (_ref4) {
	var theme = _ref4.theme;
	return theme.app ? theme.app.height ? theme.app.height : '100vh' : '100vh';
}, function (_ref5) {
	var theme = _ref5.theme;
	return theme.app ? theme.app.width ? theme.app.width : '100vw' : '100vw';
}, function (_ref6) {
	var theme = _ref6.theme;
	return theme.workspace.background;
}, function (_ref7) {
	var theme = _ref7.theme;
	return theme.app ? theme.app.gridTemplateColumns ? theme.app.gridTemplateColumns : "max-content 1fr" : "max-content 1fr";
}, function (_ref8) {
	var theme = _ref8.theme;
	return theme.app ? theme.app.gridTemplateRows ? theme.app.gridTemplateRows : 'auto 1fr auto' : 'auto 1fr auto';
});