'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Link = exports.StyledFooter = exports.Bold = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\tfont-weight: 600;\n'], ['\n\tfont-weight: 600;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n\tgrid-area: footer;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\talign-items: center;\n\tjustify-content: center;\n\t/* width: 100vw; */\n\theight:40px;\n\tbackground: ', ';\n\tcolor: ', ';\n\t-webkit-box-shadow: 0 0 3px 0 #ccc;\n\t-moz-box-shadow: 0 0 3px 0 #ccc;\n\tbox-shadow: 0 0 3px 0 #ccc;\n\tcolor: ', ';\n\tfont-size: 13px;\n\tfont-weight: 300;\n\ttext-align: center;\n\tuser-select: none;\n\t', '\n\t', '\n\t', '\n\t', '\n\n\t/* IE Support */\n\t-ms-grid-column: ', ';\n\t-ms-grid-row: ', ';\n\t-ms-grid-column-span: ', ';\n\t-ms-grid-row-span: ', ';\n'], ['\n\tgrid-area: footer;\n\tdisplay: flex;\n\tflex-flow: row nowrap;\n\talign-items: center;\n\tjustify-content: center;\n\t/* width: 100vw; */\n\theight:40px;\n\tbackground: ', ';\n\tcolor: ', ';\n\t-webkit-box-shadow: 0 0 3px 0 #ccc;\n\t-moz-box-shadow: 0 0 3px 0 #ccc;\n\tbox-shadow: 0 0 3px 0 #ccc;\n\tcolor: ', ';\n\tfont-size: 13px;\n\tfont-weight: 300;\n\ttext-align: center;\n\tuser-select: none;\n\t', '\n\t', '\n\t', '\n\t', '\n\n\t/* IE Support */\n\t-ms-grid-column: ', ';\n\t-ms-grid-row: ', ';\n\t-ms-grid-column-span: ', ';\n\t-ms-grid-row-span: ', ';\n']),
    _templateObject3 = _taggedTemplateLiteral(['height:40px;'], ['height:40px;']),
    _templateObject4 = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject5 = _taggedTemplateLiteral(['height:0px;'], ['height:0px;']),
    _templateObject6 = _taggedTemplateLiteral(['\n\ttext-decoration: none;\n\talign-items: center;\n\tjustify-content: center;\n\tcolor: inherit;\n'], ['\n\ttext-decoration: none;\n\talign-items: center;\n\tjustify-content: center;\n\tcolor: inherit;\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

var _Functions = require('../utils/Functions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Bold = exports.Bold = _styledComponents2.default.b(_templateObject);
var StyledFooter = exports.StyledFooter = _styledComponents2.default.div(_templateObject2, function (props) {
	return props.theme.footer.background;
}, function (props) {
	return props.theme.footer.color;
}, function (p) {
	return p.theme.footer ? p.theme.footer.color : '#5e5e5e';
}, _media2.default.giant(_templateObject3), _media2.default.desktop(_templateObject3), _media2.default.tablet(_templateObject4), _media2.default.phone(_templateObject5), function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'footer', 'column');
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'footer', 'row');
}, function (p) {
	var x = (0, _Functions.spanCalc)(p.theme.app.gridArea, 'footer', 'column');return x > 1 ? x : 'none';
}, function (p) {
	var y = (0, _Functions.spanRowCalc)(p.theme.app.gridArea, 'footer');return y > 1 ? y : 'none';
});

var Link = exports.Link = _styledComponents2.default.a(_templateObject6);