'use strict';

Object.defineProperty(exports, "__esModule", {
			value: true
});
exports.Input = exports.Button = exports.LoginDiv = undefined;

var _templateObject = _taggedTemplateLiteral(['\n\twidth: 100%;\n\tdisplay: flex;\n\tflex-flow: column;\t\n\talign-items: center;\n    justify-content: center;\n'], ['\n\twidth: 100%;\n\tdisplay: flex;\n\tflex-flow: column;\t\n\talign-items: center;\n    justify-content: center;\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    display: flex;\n    align-items: center;\n    float: left;\n    border-radius: 4px;\n\tcolor: ', ';\n\tbackground: ', ';\n\tpadding: 0px;\n\t/* padding: ', '; */\n\tpadding: ', ';\n\theight: ', ';\n\t/* margin: 0.3rem 0.7rem 0.7rem 0; */\n\tborder: none;\n    text-decoration: none;\n\tcursor: ', ';\n\tuser-select: none;\n\toutline: none;\n\n    &:focus {\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n    }\n\n    &&:active {\n        background: ', ';\n        border-color: ', ';\n\t\tbox-shadow: ', '; \n\t\ttransform: ', ';\n    }\n\n    &:hover {\n\t\tbackground: ', ';\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n    }\n'], ['\n    display: flex;\n    align-items: center;\n    float: left;\n    border-radius: 4px;\n\tcolor: ', ';\n\tbackground: ', ';\n\tpadding: 0px;\n\t/* padding: ', '; */\n\tpadding: ', ';\n\theight: ', ';\n\t/* margin: 0.3rem 0.7rem 0.7rem 0; */\n\tborder: none;\n    text-decoration: none;\n\tcursor: ', ';\n\tuser-select: none;\n\toutline: none;\n\n    &:focus {\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n    }\n\n    &&:active {\n        background: ', ';\n        border-color: ', ';\n\t\tbox-shadow: ', '; \n\t\ttransform: ', ';\n    }\n\n    &:hover {\n\t\tbackground: ', ';\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n    }\n']),
    _templateObject3 = _taggedTemplateLiteral(['    \n\tfont-size: 16px;\n\tfont-weight: 200;\n    padding: 1rem;\n    color: ', ';\n    background: ', ';\n    border: ', ';\n\tborder-radius: ', ';\n    box-sizing: border-box;\n\toutline: none;\n\n    &:hover {\t\t\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n\t\tcursor: ', ';\n    }\n\n    &:focus {\n\t\tbox-shadow: ', ';\n    }\n'], ['    \n\tfont-size: 16px;\n\tfont-weight: 200;\n    padding: 1rem;\n    color: ', ';\n    background: ', ';\n    border: ', ';\n\tborder-radius: ', ';\n    box-sizing: border-box;\n\toutline: none;\n\n    &:hover {\t\t\n        border-color: ', ';\t\t \n\t\tbox-shadow: ', ';\n\t\tcursor: ', ';\n    }\n\n    &:focus {\n\t\tbox-shadow: ', ';\n    }\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _polished = require('polished');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var LoginDiv = exports.LoginDiv = _styledComponents2.default.div(_templateObject);

var Button = exports.Button = _styledComponents2.default.button(_templateObject2, function (p) {
			return p.theme.button.color ? p.theme.button.color : '#000';
}, function (props) {
			return props.isDisabled ? props.disabledColor : props.theme.button.background;
}, function (props) {
			return props.hasIconText ? '0 13px 0 15px' : props.hasText ? '0 8px 0 15px' : props.hasIcon ? '0 10px' : '0 0 0 15px';
}, function (p) {
			return p.theme.button.padding ? p.theme.button.padding : '0px 15px';
}, function (props) {
			return props.theme.button ? props.theme.button.height : '35px';
}, function (props) {
			return props.isDisabled ? 'not-allowed' : 'pointer';
}, function (props) {
			return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? null : '0 0 0 3px ' + (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? props.disabledColor : (0, _polished.darken)(0.1, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? props.disabledColor : (0, _polished.darken)(0.1, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? null : 'inset 0 1px 2px ' + (0, _polished.transparentize)(0.7, (0, _polished.rgba)(0, 0, 0, 0.1));
}, function (props) {
			return props.isDisabled ? null : 'translateY(2px)';
}, function (props) {
			return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.2, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? props.disabledColor : (0, _polished.transparentize)(0.7, props.theme.button.background);
}, function (props) {
			return props.isDisabled ? null : '0 0 0 3px ' + (0, _polished.transparentize)(0.7, props.theme.button.background);
});

var Input = exports.Input = _styledComponents2.default.input(_templateObject3, function (props) {
			return props.color ? props.color : props.theme.input.color;
}, function (props) {
			return props.background ? props.background : props.theme.input.background;
}, function (props) {
			return props.theme.input.border ? props.theme.input.border : 'none';
}, function (props) {
			return props.theme.input.borderRadius ? props.theme.input.borderRadius : '4px';
}, (0, _polished.transparentize)(0.7, '#3B97D3'), '0 0 0 3px ' + (0, _polished.transparentize)(0.7, '#3B97D3'), function (props) {
			return props.isDisabled ? 'not-allowed' : 'pointer';
}, function (props) {
			return props.theme.input.focusColor ? '0 0 0 3px ' + props.theme.input.focusColor : '0 0 0 3px #13A085';
});